(function () {
  'use strict';

  ((Drupal, drupalSettings, $, once, debounce) => {
    Drupal.behaviors.mercuryEditorComponentOutline = {
      attach: function attach(context, settings) {
        once(
          'me-component-outline__component-label',
          '.me-component-outline__component-label',
          context,
        ).forEach((btn) => {
          btn.addEventListener('click', (event) => {
            const uuid = event.target.getAttribute('data-uuid');
            const previewFrame = document.querySelector('#me-preview');
            previewFrame.contentWindow.postMessage({
              type: 'componentSelected',
              settings: { uuid },
            });
          });
        });
      },
    };
  })(Drupal, drupalSettings, jQuery, once, Drupal.debounce);

})();
