const gulp = require('gulp');
const postcss = require('gulp-postcss');
const watch = require('gulp-watch');
const path = require('path');

const isWatching = process.argv.some((arg) => arg.trim() === '--gulp-watch');
const inputs = ['source/**/*.css'];

const cssTask = () => {
  return gulp
    .src(inputs)
    .pipe(postcss())
    .pipe(
      gulp.dest((fileVinyl) => {
        fileVinyl.base = fileVinyl.path.replace(/[^/]*js$/, '');
        return path.relative(
          process.cwd(),
          fileVinyl.path.replace('/source/', '/build/').replace(/[^/]*js$/, ''),
        );
      }),
    );
};

const cssWatch = () => {
  cssTask();
  return watch(inputs, cssTask);
};

gulp.task('css', isWatching ? cssWatch : cssTask);
