<?php

namespace Drupal\mercury_editor\Ajax;

use Drupal\Core\Ajax\BaseCommand;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Defines an AJAX command to update the states UI of the Mercury Editor.
 */
class MercuryEditorUpdateStatesUICommand extends BaseCommand {

  /**
   * Class contructor.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   The Mercury Editor Entity.
   */
  public function __construct(
    protected ContentEntityInterface $entity,
  ) {}

  /**
   * Returns an AJAX command to update the Mercury Editor states UI.
   */
  public function render() {
    return [
      'command' => 'mercuryEditorUpdateState',
      'stateIndex' => $this->getMercuryEditorTempstore()
        ->getStateIndex($this->entity),
      'stateCount' => $this->getMercuryEditorTempstore()
        ->getStatesCount($this->entity),
    ];
  }

  /**
   * Get the mercury editor tempstore service.
   */
  protected function getMercuryEditorTempstore() {
    return \Drupal::service('mercury_editor.tempstore_repository');
  }

}
